package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaFeedback;
import com.ruoyi.oa.domain.vo.OaFeedbackVo;
import com.ruoyi.oa.domain.bo.OaFeedbackBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 问题反馈Service接口
 *
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IOaFeedbackService {

    /**
     * 查询问题反馈
     */
    OaFeedbackVo queryById(Long feedbackId);

    /**
     * 查询问题反馈列表
     */
    TableDataInfo<OaFeedbackVo> queryPageList(OaFeedbackBo bo, PageQuery pageQuery);

    /**
     * 查询问题反馈列表
     */
    List<OaFeedbackVo> queryList(OaFeedbackBo bo);

    /**
     * 新增问题反馈
     */
    Boolean insertByBo(OaFeedbackBo bo);

    /**
     * 修改问题反馈
     */
    Boolean updateByBo(OaFeedbackBo bo);

    /**
     * 校验并批量删除问题反馈信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Boolean updateToRead(OaFeedbackBo bo);

    int delItem(Long feedbackId);

    TableDataInfo<OaFeedbackVo> indexQueryList(OaFeedbackBo bo, PageQuery pageQuery);

}
